Bug 239414 - illogical mapping for non-QWERTY keyboard with m17n
illogical mapping for non-QWERTY keyboard with m17n
Product: Fedora
Classification: Fedora
Component: ibus-m17n (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-08 05:42 EDT by François Patte
Modified: 2009-12-04 03:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-04 03:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description François Patte 2007-05-08 05:42:48 EDT
Description of problem:

Once the default keyboard is selected (AZERTY for me) the mapping for this
keyboard is OK but the icon in the gnome-panel still indicates an English keyboard.

For other scripts the "intuitive" mapping is the one of a QWERTY keyboard.
hindu-itrans "a" key (from AZERTY) which is "q" key (from QWERTY) returns "q"
hindi letter; "," key (from AZERTY) returns "m" hindi letter (as on QWERTY)

same problem for hindu-phonetic, tamil-itrans/phonetic, marathi-itrans/phonetic,
greek (with some strange phenomena more)... 

latin-post returns "a" from AZERTY "a" key but "a_" from "q" AZERTY key, "w"
from "z" AZERTY key and so on... 

It is impossible to use scim keyboard without knowing the QWERTY keyboard.  

Version-Release number of selected component (if applicable):


How reproducible:

Just switch to an "exotic" scim keyboard

Steps to Reproduce:
Actual results:

Expected results:

intuitive letters from the default keyboard according to the letters which are
the "same" in different scripts: for hindi for instance "a" key should return
"a" hindi letter (not "q" hindi) double "a" : long "a" hindi letter, "w" key
should return "v" hindi not "z" hindi and so on *whatever* the default keyboard is.

Additional info:
Comment 1 Parag Nemade 2007-10-08 03:09:38 EDT
 If I get you correctly, You said
 1) Most of keymaps ( and their key mappings) follows/written with respect to
QWERTY keyboard.
 2) If you are AZERTY keyboard user then mappings will get changed as those (say
hindi) keymaps follows QWERTY right?
 3) so we need some middle layer for AZERTY keyboard users to map them first to
QWERTY keyboard and then print respective languages character symbol.
 Or you have any solution in your mind to solve this problem?
Comment 2 François Patte 2007-10-11 06:27:13 EDT
Yes, this is exactly what I meant for point 2)

point 3)

I cannot help you there.... The only thing I know is that under fedora
core 4 it used to work correctly ("a" is "a" whatever the script is...)
But I cannot remeber if the scim* m17n* packages came from fedora
repositories or from a compatible one (livna, dag, freshrpms...)

I use an unicode text editor which allow to type several scripts and
this problem does not occur.

Comment 3 Bug Zapper 2008-04-04 03:12:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Jens Petersen 2008-04-04 03:27:39 EDT
Thanks for updating the bug to F8 - still seems to happen with rawhide too.
Comment 5 Bug Zapper 2008-05-13 22:52:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Bug Zapper 2009-06-09 18:35:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Jens Petersen 2009-06-24 01:48:33 EDT
There is some work in progress on ibus that may improve the interaction of xkb and IM.
Comment 8 Jens Petersen 2009-10-06 05:36:34 EDT
In recent ibus including f11 in ibus-setup you can now click
on the "Advanced" tab and uncheck "Use system keyboard layout".
Then ibus will override AZERTY when using ibus-m17n
and you can input Hindi inscript, etc in the standard way.

So this is a viable workaround for now.
In the longer term we would like to make this
per m17n map and automatic but we are not
quite there yet.
Comment 9 Bug Zapper 2009-11-16 02:55:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 10 Peng Huang 2009-12-04 03:56:51 EST
Fixed in Fedora 12

Note You need to log in before you can comment on or make changes to this bug.